package gui.simulator.facilities;

import java.awt.geom.Rectangle2D;
import java.io.Serializable;

import gui.simulator.DrawEngine;
import gui.simulator.Images;
import gui.simulator.SimulatorPane;
import gui.simulator.Terrain;

public class RestRoom extends DrawEngine implements Serializable {

	private static Images.ImageType images = Images.ImageType.Toilet;
	private static String facilityName = "Toilet";

    //TODO change visibility
    public RestRoom(int x, int y, Terrain terrain) {
        super(images, x, y, 1, 0, SimulatorPane.Objects.RESTROOM, terrain, new Rectangle2D.Double(-30, -30, 150, 150), true);
    }

    public RestRoom(int x, int y, double scale, double distance, Terrain terrain) {
        super(images, x, y, scale, distance, SimulatorPane.Objects.RESTROOM, terrain, new Rectangle2D.Double(-30, -30, 150, 150), true);
    }
    
    public String getFacilityName(){
    	return facilityName;
    }
}
